#include <bits/stdc++.h>

using namespace std;

int brojCifara(long long int n)
{
    int count = 0;
    while (n != 0) {
        n = n / 10;
        count++;
    }
    return count;
}

void brojNovcanica(long long int vrednost){
 long long int ukupanBroj,i,j,novcanica,drugi,k;
 drugi = 10;
 ukupanBroj = 0;
 i = brojCifara(vrednost)-1;
 long long int d[3] = {5,2,1};

 for(j = 1;j < i;j++){
        drugi = drugi * 10;
    }

 while(vrednost){
    for(j = 0;j < 3;j++){
        novcanica = d[j] * drugi;
        if(vrednost >= novcanica){
        ukupanBroj = ukupanBroj + (vrednost / novcanica);
        vrednost = vrednost - (vrednost / novcanica) * novcanica;
      }
    }
    drugi = drugi / 10;
    i--;
 }

 cout << ukupanBroj;
}

int main()
{
    long long int V;
    cin >> V;
    brojNovcanica(V);
    return 0;
}